<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core.infrastructure</groupId>
        <artifactId>schema</artifactId>
        <version>1.10.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime.core.infrastructure.schema</groupId>
    <artifactId>schema-component</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INFRASTRUCTURE :: SCHEMA :: COMPONENT</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INFRASTRUCTURE :: SCHEMA :: COMPONENT</description>

    <properties>
        <bundle.osgi.export.service>org.apache.camel.spi.ComponentResolver;component=schema</bundle.osgi.export.service>
        <bundle.osgi.import.pkg>
            javax.persistence;version="[2,3)",
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.core</artifactId>
            <version>${osgi.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core.infrastructure.schema</groupId>
            <artifactId>schema-api</artifactId>
            <version>${project.version}</version>
        </dependency>

		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
			<artifactId>base-support</artifactId>
			<version>${project.version}</version>
		</dependency>

    </dependencies>

</project>
